
Application: gvSIG desktop - gvSIG bugs #5202
No se puede aplicar simbología en el último build de la 2.5.1
03/13/2020 11:04 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Symbology
Target version: 2.5.1-3014
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3012 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

He abierto la 2.5.1 BN 3012, y añadido un SHP. Al ir a Propiedades de la capa/Simbología, no se puede aplicar ninguna simbología,
aparece un cuadro totalmente diferente.

Adjunto captura de pantalla de lo que sale.

Associated revisions
Revision 44872 - 04/07/2020 04:58 PM - Joaquín  del Cerro Murciano

refs  #5202, mejorado el tratamiento de errores en el dialogo y manager de leyendas para que si falla la carga de alguna de ellas pueda continuar
cargando el resto.

History
#1 - 03/13/2020 12:02 PM - Álvaro Anguix

Es raro...a mi me sale bien y estoy con el mismo build

#2 - 03/13/2020 12:46 PM - Mario Carrera

Le había ocurrido a Carlos Revuelto en Windows. Lo he probado después yo también en un Windows 8.1 que tengo y me ha pasado lo mismo.

¿Tenías la instalable o la portable? Yo tenía la portable. Confirmo con él si tenía la portable o la instalable, y así ver si es que es solo en Windows, o
es en la portable solo.

#3 - 03/13/2020 01:38 PM - Mario Carrera

Añado más información: Ha ocurrido tanto con la portable como con la instalable, en ambos casos en Windows.

#4 - 03/14/2020 04:13 PM - Álvaro Anguix
- Operative System set to Windows
Ok, añado que sólo ocurre en Windows, en Linux funciona ok.

#5 - 03/17/2020 09:32 PM - Joaquín  del Cerro Murciano

El panel es el que toca, pero es como si no se hubiese inicializado correctamente, seguramente habra petado algo durente la inicializacion.

No tendreis por ahi un fichero de log con el error?

#6 - 03/18/2020 10:18 AM - Mario Carrera
- File gvSIG.zip added

Adjunto log.

#7 - 03/22/2020 08:19 PM - Joaquín  del Cerro Murciano

He probado con la version de desarrollo, la que se correspondera con el build 2.5.1-3013, y me funciona correctamente en un windows 8.1 .
Cargo la capa de provincias de españa, saco sus propiedades y la pestaña de simbologia sale correctamente y se puede cambiar la simbologia.

#8 - 03/26/2020 01:35 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3013 to 2.5.1-3014

#9 - 03/26/2020 01:43 PM - Joaquín  del Cerro Murciano
- Priority changed from High to Immediate

#10 - 03/26/2020 02:59 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano

#11 - 04/03/2020 10:40 AM - Álvaro Anguix

Me indica Mario que en el 3013 le sigue pasando

#12 - 04/07/2020 12:56 PM - Joaquín  del Cerro Murciano

Bueno, al final he logrado reproducirlo.
El error que me da es:

Exception occurred in target VM:
org.gvsig.tools.swing.api.ToolsSwingManager.createColorChooserController(Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JSlider;)Lorg/gvsig/tools/swing/api/Co
er;)Lorg/gvsig/tools/swing/api/ColorChooserController; 
java.lang.NoSuchMethodError:
org.gvsig.tools.swing.api.ToolsSwingManager.createColorChooserController(Ljavax/swing/JTextField;Ljavax/swing/JButton;Ljavax/swing/JSlider;)Lorg/gvsig/tools/swing/api/ColorChooserController;
    at org.gvsig.legend.filteredheatmap.swing.impl.DefaultFilteredHeatmapLegendEditor.initComponents(DefaultFilteredHeatmapLegendEditor.java:69)
    at org.gvsig.legend.filteredheatmap.swing.impl.Def
er;)Lorg/gvsig/tools/swing/api/ColorChooserController;
    at
org.gvsig.legend.filteredheatmap.swing.impl.DefaultFilteredHeatmapLegendEditor.initComponents(DefaultFilteredHeatmapLegendEditor.java:69)
    at org.gvsig.legend.filteredheatmap.swing.impl.DefaultFilteredHeatmapLegendEditor.<init>(DefaultFilteredHeatmapLegendEditor.java:64)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at java.
9)
    at org.gvsig.legend.filteredheatmap.swing.impl.DefaultFilteredHeatmapLegendEditor.<init>(DefaultFilteredHeatmapLegendEditor.java:64)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at java.lang.Class.newInstance(Unknown Source)
    at org.gvsig.symbology.swing.impl.DefaultSymbologySwingManager.getLegendEditors(DefaultSymbologySwingManager.java:181)
    at org.gvsig.app.project.documents.view.legend.gui.LegendManager.fillDialog(LegendManager.java:326)
    at org.gvsig.app.project.documents.view.legend.gui.LegendManager.applyLegend(LegendManager.java:732)
    at org.gvsig.app.project.documents.view.legend.gui.LegendManager.setModel(LegendManager.java:721)
    at
org.gvsig.app.project.documents.view.legend.gui.ThemeManagerWindow$ThemeManagerPropertiesPageFactory.getPage(ThemeManagerWindow.java:72)
    at org.gvsig.app.project.documents.view.legend.gui.ThemeManagerWindow$ThemeManagerPropertiesPageFactory.create(ThemeManagerWindow.java:99)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.createPage(DefaultPropertiesPageManager.java:128)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.getPages(DefaultPropertiesPageManager.java:101)
    at org.gvsig.propertypage.BasePropertiesPageDialog.init(BasePropertiesPageDialog.java:42)
    at org.gvsig.propertypage.BasePropertiesPageDialog.<init>(BasePropertiesPageDialog.java:35)
    at org.gvsig.app.project.documents.view.gui.LayerProperties.<init>(LayerProperties.java:41)
    at org.gvsig.app.extension.LayerPropertiesExtension.execute(LayerPropertiesExtension.java:71)
    at org.gvsig.andami.plugins.Extension.execute(Extension.java:117)
    at org.gvsig.andami.plugins.ExtensionHelper.execute(ExtensionHelper.java:58)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:329)
    at org.gvsig.app.project.documents.view.toc.AbstractActionInfoAdapterToTocContextMenuAction.execute(AbstractActionInfoAdapterToTocContextMenuAction.java:74)
    at org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction.execute(AbstractTocContextMenuAction.java:63)
    at org.gvsig.app.project.documents.view.toc.gui.FPopupMenu$MenuItem.actionPerformed(FPopupMenu.java:248)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.ac
ndow.java:72)
    at
org.gvsig.app.project.documents.view.legend.gui.ThemeManagerWindow$ThemeManagerPropertiesPageFactory.create(ThemeManagerWindow.java:99)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.createPage(DefaultPropertiesPageManager.java:128)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.getPages(DefaultPropertiesPageManager.java:101)
    at org.gvsig.propertypage.BasePropertiesPageDialog.init(BasePropertiesPageDialog.java:42)
    at org.gvsig.propertypage.BasePropertiesPageDialog.<init>(BasePropertiesPageDialog.java:35)
    at org.gvsig.app.project.documents.view.gui.LayerProperties.<init>(LayerProperties.java:41)
    at org.gvsig.app.extension.LayerPropertiesExtension.execute(LayerPropertiesExtension.java:71)
    at org.gvsig.andami.plugins.Extension.execute(Extension.java:117)
    at org.gvsig.andami.plugins.ExtensionHelper.execute(ExtensionHelper.java:58)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:329)
    at org.gvsig.app.project.documents.view.toc.AbstractActionInfoAdapterToTocContextMenuAction.execute(AbstractActionInfoAdapterToTocContextMenuAction.java:74)
    at org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction.execute(AbstractTocContextMenuAction.java:63)
    at org.gvsig.app.project.documents.view.toc.gui.FPopupMenu$MenuItem.actionPerformed(FPopupMenu.java:248)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.AbstractButton.doClick(Unknown Source)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown 
ow.java:99)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.createPage(DefaultPropertiesPageManager.java:128)
    at org.gvsig.propertypage.impl.DefaultPropertiesPageManager.getPages(DefaultPropertiesPageManager.java:101)
    at org.gvsig.propertypage.BasePropertiesPageDialog.init(BasePropertiesPageDialog.java:42)
    at org.gvsig.propertypage.BasePropertiesPageDialog.<init>(BasePropertiesPageDialog.java:35)
    at org.gvsig.app.project.documents.view.gui.LayerProperties.<init>(LayerProperties.java:41)
    at org.gvsig.app.extension.LayerPropertiesExtension.execute(LayerPropertiesExtension.java:71)
    at org.gvsig.andami.plugins.Extension.execute(Extension.java:117)
    at org.gvsig.andami.plugins.ExtensionHelper.execute(ExtensionHelper.java:58)
    at org.gvsig.andami.actioninfo.impl.DefaultActionInfo.execute(DefaultActionInfo.java:329)
    at
org.gvsig.app.project.documents.view.toc.AbstractActionInfoAdapterToTocContextMenuAction.execute(AbstractActionInfoAdapterToTocContextMenuAction.java:74)
    at org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction.execute(AbstractTocContextMenuAction.java:63)
    at org.gvsig.app.project.documents.view.toc.gui.FPopupMenu$MenuItem.actionPerformed(FPopupMenu.java:248)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.AbstractButton.doClick(Unknown Source)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
    at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at 
xtMenuAction.java:74)
    at org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction.execute(AbstractTocContextMenuAction.java:63)
    at org.gvsig.app.project.documents.view.toc.gui.FPopupMenu$MenuItem.actionPerformed(FPopupMenu.java:248)
    at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
    at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
    at javax.swing.AbstractButton.doClick(Unknown Source)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
    at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
    at java.awt.Component.processMouseEvent(Unknown Source)
    at javax.swing.JComponent.processMouseEvent(Unknown Source)
    at java.awt.Component.processEvent(Unknown Source)
    at java.awt.Container.processEvent(Unknown Source)
    at java.awt.Component.dispatchEventImpl(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
    at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
    at java.awt.Container.dispatchEventImpl(Unknown Source)
    at java.awt.Window.dispatchEventImpl(Unknown Source)
    at java.awt.Component.dispatchEvent(Unknown Source)
    at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
    at java.awt.EventQueue.access$500(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.awt.EventQueue$3.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.awt.EventQueue$4.run(Unknown Source)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
    at java.awt.EventQueue.dispatchEvent(Unknown Source)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:50)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)

#13 - 04/07/2020 04:39 PM - Joaquín  del Cerro Murciano

Bueno, ademas de problemas en la atrapada de errores en varios sitios de la aplicacion, el problema parece que estaba en que los proyectos:

    -  org.gvsig.legend.filteredheatmap
    -  org.gvsig.legend.heatmapcomparison

No estaban incluidos en el ciclo de compilacion de gvSIG, y estan "enlazando" con versiones antiguas de algunos jar.

He añadido esos proyectos a los parametros de la tarea de jenkins gvsig-desktop-plugins que se encarga de compilar todos los plugins.

NAME="org.gvsig.legend.filteredheatmap";SVN="http://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.legend.filteredheatmap/";
NAME="org.gvsig.legend.heatmapcomparison";SVN="http://devel.gvsig.org/svn/gvsig-projects-pool/org.gvsig.legend.heatmapcomparison/";

#14 - 04/07/2020 04:59 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#15 - 04/16/2020 07:02 PM - Mario Carrera
- Status changed from Fixed to Closed

Funciona en el 3015.

Files
Simbologia.png 99.1 KB 03/13/2020 Mario Carrera
gvSIG.zip 68 KB 03/18/2020 Mario Carrera
